device_initialize
Prev | Device Drivers Base | Next

## Name

device_initialize — init device structure.

## Synopsis

`void device_initialize (` | struct device * | dev`)`;

## Arguments

`dev`

  device.

## Description

This prepares the device for use by other layers, including adding it to the device hierarchy. It is the first half of `device_register`, if called by that, though it can also be called separately, so one may use `dev`'s fields (e.g. the refcount).

Prev | Up | Next
device_schedule_callback_owner | Home | device_add